const mongoose = require('mongoose');
const jwt = require("jsonwebtoken");

const { mongooseConstantValues } = require('../apps/common/systemConstents')
const IndiaOffshelfScheme = new mongoose.Schema({
	  sku: { type: String },
    createdDate: { type: Date, default: Date.now },
    orderSerial: { type: String },
    quantity: {type: Number, default: 0},
    bin: {type: String},
    remark: {type: String},
});
IndiaOffshelfScheme.post(['save','insertMany'],async function (doc){
    try{
        let orders = [];
        if(Array.isArray(doc)){
          orders = doc;
        } else {
          orders = [doc];
        }
       
    } catch(err){
        console.log(err);
    }
  });
module.exports = mongoose.model('Notindiaoffshelfs', IndiaOffshelfScheme)